Page MenuHomePhabricator

Do not serve a default web font for "ml" language
Closed, DeclinedPublic

Details

Reference
bz49894

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:43 AM
bzimport set Reference to bz49894.
bzimport added a subscriber: Unknown Object (MLST).
Vssun created this task.Jun 20 2013, 5:39 PM

For any configuration change, we require a local consensus, and it looks like the discussion was only started two days ago.

For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes and feel free to forward that link to others who may want similar changes made in the future. Thanks!

May I know about the consensus you've used to deploy this?!? (It was not even a beta rollout!)

ravidreams_03 wrote:

Hi Andre,

Both Malayalam and Tamil communities had consensus for this request and had strong opposition to web fonts roll out.

Please check the last comment at

https://bugzilla.wikimedia.org/show_bug.cgi?id=31936

The i18n tech team in particular promised both the communities that web fonts won't be implemented unless we request them again.

Please check Siebrand's message at

http://www.mail-archive.com/mediawiki-i18n@lists.wikimedia.org/msg00119.html

which says:

On Monday December 12 at 18:00 UTC we deployed the extension WebFonts to 40 wikis in 11 Indic languages and Wikimedia Incubator -- all wikis in Assamese, Bengali, Gujarati, Hindi, Kannada, Marathi, Nepali, Oriya, (Eastern) Punjabi, Sankrit and Telugu have WebFonts now. WebFonts was not deployed on Malayalam and Tamil projects. The reason for this was that community members had requested us not to. We are confident that in time, the communities will request that WebFonts is enabled on their projects.

Now, who requested for this feature to be implemented in Tamil Wikimedia projects? Was there a community consensus? Did the developers request for the community's view or invite them to beta test at least?

Coupling web fonts implementation with ULS and forcing it on the community is unfair.

Vssun added a comment.Jun 24 2013, 4:29 PM

Is there any hurdle to take up this bug? Wont ULS support this?

No, this is not high priority. Resetting.

I'm not aware of a way to tell ULS to not use Webfonts for a specific deployment or language (but again, I am not a developer), so this might require some code changes in ULS first.
Hence moving from "Extension setup" to ULS.

Vssun added a comment.Jun 25 2013, 6:49 AM

At present ULS is selecting a web font as default font. If ULS is well designed, it wont be a problem to set the "System Font" as default.

It would be great to know the specific technical issues that these communities face with web fonts. We'd gladly welcome well-defined and clear bug reports with good steps to reproduce (see https://www.mediawiki.org/wiki/How_to_report_a_bug ) to fix problems with the fonts currently used by ULS.
However I was told that switching webfonts completely off in ULS for Malayalam and Tamil and setting the system font as default instead is not planned. I've asked for specific technical reasons and hope that the L10N team will elaborate.
Hence I'm closing this as WONTFIX again, the way to improve things are fixing the issues that you face with the webfonts used.
Please do not reopen this again as a sign of disagreement, but I encourage you to help the developers fix the issues with the webfonts.

(In reply to comment #7)

However I was told that switching webfonts completely off in ULS for
Malayalam
and Tamil and setting the system font as default instead is not planned.

Wish to know why?

ravidreams_03 wrote:

Andre,

I'm not aware of a way to tell ULS to not use Webfonts for a specific
deployment or language (but again, I am not a developer), so this might require
some code changes in ULS first.

This is possible if santhosh's commit for Tamil is valid

https://gerrit.wikimedia.org/r/#/c/68350/

However I was told that switching webfonts completely off in ULS for Malayalam
and Tamil and setting the system font as default instead is not planned.

Siebrand has confirmed the default font change for Tamil at

https://bugzilla.wikimedia.org/show_bug.cgi?id=49930

Is web font going to be default in Tamil Wikimedia projects again?

I am sorry for reopening the thread but there is no other way to get clarification from the developers.

(In reply to comment #8)

Wish to know why?

For the specific case of Malayalam and comparing it to Tamil, Tamil has way wider default support in operating systems than Malayalam has, hence there are way less users having issues. That's the base for the WONTFIX.

(In reply to comment #9)

This is possible if santhosh's commit for Tamil is valid

Oh I see. Thanks for correcting/clarifying my misleading previous comment!

Is web font going to be default in Tamil Wikimedia projects again?

No, that is not planned currently. Sorry again for confusing.

Vssun added a comment.Jun 25 2013, 5:11 PM

For the specific case of Malayalam and comparing it to Tamil, Tamil has way
wider default support in operating systems than Malayalam has, hence there
are
way less users having issues. That's the base for the WONTFIX.

Can you please explain? As far as I know we have the same issues w.r.t. OS support.

Please do whatever you did for tamil to malayalam also.

(In reply to comment #10)

For the specific case of Malayalam and comparing it to Tamil, Tamil has way
wider default support in operating systems than Malayalam has, hence there
are
way less users having issues. That's the base for the WONTFIX.

How is that? Could someone clarify?

(In reply to comment #11)

Can you please explain? As far as I know we have the same issues w.r.t. OS
support.

As far as I know (e.g. https://gerrit.wikimedia.org/r/#/c/68350/ ), Tamil has way wider default font support. If you don't think so, reliable sources are welcome.

Please do whatever you did for tamil to malayalam also.

Again, that's not planned.

Please leave this ticket as RESOLVED WONTFIX. I've written this in comment 7 already, so please consider this a last warning.

From what I know, Win XP without local language support doesn't support any of these languages. But Tamil has less ligatures comparing to Malayalam so Tamil may appear more correct than Malayalam. Win XP is reaching its EOL, and any new win OS including Vista and win 7 has better support to Malayalam. In linux distributions, popular ones doesn't include some unicode 5.1 characters in default font Meera, so a wiki with ULS and running default webfont selection always create display error.

Since there is a threat against community and commonsense, I am afraid to reopen this bug. May I reopen this?

Win XP without Indian languge support doesn't display malayam properly with webfonts also.

(In reply to comment #15)

Win XP without Indian languge support doesn't display malayam properly with
webfonts also.

I'm not sure how many dozen times more I should repeat comment 7: File bug reports. Vague "it doesn't work properly" comments are completely useless and waste everybody's time.

Andre Kalpper, If we could ask a question, may we know what are you trying to fix? :-)

viswaprabha wrote:

I presume the only needed change in code for this issue is a removal of the '*' character from the end of line shown here:

https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FUniversalLanguageSelector/20033e4fbf0c4743df5162f10c67c0751c414608/data%2Ffontrepo%2Ffonts%2FMeera%2Ffont.ini#L2

This will keep Meera being self-initiated as the preferred default font during
the Webpage loading.

The required change is similar to
https://git.wikimedia.org/commitdiff/mediawiki%2Fextensions%2FUniversalLanguageSelector/e726f016153727d82ef1652dbe7bb4fd426035e5

AFAIK, this is not going to break the mediawiki or extension or the WM servers.

(In reply to comment #13)

Andre,

While we appreciate your time on this, please select your words carefully. Warning is a pretty strong word, and no one has given developers rights to overrule a community's decision. Unless there are specific implementation details that prevents developers from implementing what community wants, Please do not close it as wont fix again.

Thanks.

(In reply to comment #11)

Can you please explain? As far as I know we have the same issues w.r.t. OS
support.

As far as I know (e.g. https://gerrit.wikimedia.org/r/#/c/68350/ ), Tamil has
way wider default font support. If you don't think so, reliable sources are
welcome.

Please do whatever you did for tamil to malayalam also.

Again, that's not planned.

Please leave this ticket as RESOLVED WONTFIX. I've written this in comment 7
already, so please consider this a last warning.

(In reply to comment #13)
While we appreciate your time on this, please select your words carefully.

I did.

As far as I've been told, the current font is the default font in all Linux distributions, embedded font in popular Malayalam portals, and 2 offline versions of Malayalam wiki projects embedded this font by default.

Is this incorrect?

http://www.mediawiki.org/wiki/Universal_Language_Selector/FAQ#How_do_you_decide_a_default_font_for_a_language_or_script.3F and http://www.mediawiki.org/wiki/Universal_Language_Selector/FAQ#What_if_the_default_font_chosen_is_not_the_best_one_for_the_language.3F_Can_this_be_changed.3F should provide some more information.

Vssun added a comment.Jul 8 2013, 10:31 AM

Discussion on a particular font is irrelevant here. The question is about whether webfonts to be enable by default or not.

(In reply to comment #22)

Discussion on a particular font is irrelevant here. The question is about
whether webfonts to be enable by default or not.

With that "argumentation" I'd close this report as WONTFIX again, as you don't explain which actual issues and problems you try to solve by the requested change. Bug reports should explain a problem at least.

anilankv wrote:

In reply to comment #23
The actual issue is very much clear. The content displays in some fonts other than one the user set in his system

viswaprabha wrote:

The actual issue is that the community has vehemently chosen (by a huge majority in voting) an option among several possible and technically equivalent ones in the way the Wikipedia pages should be presented to them in terms of basic user interface.

Strong correlations or comparable equivalence exist if you consider many other languages (eg. English, Tamil etc.)

Please READ and check comment#19 and reproduce/experience the difference by yourselves to your fill. There is not a more precise way to pinpoint the issue technically.

(In reply to comment #24)

The content displays in some fonts other than one the user set in his system

That's not a bug if the content is well readable (or even better readable), hence such comments are not helpful...

Please READ and check comment#19 and reproduce/experience the difference
by yourselves to your fill.

Are there clear steps to follow available? In comment 19 I only see links to two Git commits, but no links to where I could spot a problem myself.

Maybe two comparing screenshots would help with the current webfont and with system fonts, clear information about the operating system and browser, and marking the differences. Or as mentioned a few times before: Specific, clear issues with the current default font.

junu.pv+public wrote:

(In reply to comment #21)

As far as I've been told, the current font is the default font in all Linux
distributions, embedded font in popular Malayalam portals, and 2 offline
versions of Malayalam wiki projects embedded this font by default.

Is this incorrect?

May be correct or not. But how can you say Malayalam Wikipedia should also use that same 'popular' font by default? What consensus is there about using a particular font at all?

Please see the community decision here: https://ml.wikipedia.org/wiki/%E0%B4%B5%E0%B4%BF%E0%B4%95%E0%B5%8D%E0%B4%95%E0%B4%BF%E0%B4%AA%E0%B5%80%E0%B4%A1%E0%B4%BF%E0%B4%AF:%E0%B4%AA%E0%B4%9E%E0%B5%8D%E0%B4%9A%E0%B4%BE%E0%B4%AF%E0%B4%A4%E0%B5%8D%E0%B4%A4%E0%B5%8D_%28%E0%B4%B8%E0%B4%BE%E0%B4%99%E0%B5%8D%E0%B4%95%E0%B5%87%E0%B4%A4%E0%B4%BF%E0%B4%95%E0%B4%82%29#ULS_.E0.B4.A8.E0.B5.8D.E0.B4.B1.E0.B5.86_.E0.B4.B8.E0.B5.8D.E0.B4.B5.E0.B4.A4.E0.B5.87.E0.B4.AF.E0.B5.81.E0.B4.B3.E0.B5.8D.E0.B4.B3_.E0.B4.AB.E0.B5.8B.E0.B4.A3.E0.B5.8D.E0.B4.9F.E0.B5.8D_.E0.B4.B8.E0.B4.BF.E0.B4.B8.E0.B5.8D.E0.B4.B1.E0.B5.8D.E0.B4.B1.E0.B4.82_.E0.B4.AB.E0.B5.8B.E0.B4.A3.E0.B5.8D.E0.B4.9F.E0.B5.8D_.E0.B4.86.E0.B4.95.E0.B5.8D.E0.B4.95.E0.B4.BE.E0.B4.A8.E0.B5.81.E0.B4.B3.E0.B5.8D.E0.B4.B3_.E0.B4.A8.E0.B4.BF.E0.B5.BC.E0.B4.A6.E0.B5.8D.E0.B4.A6.E0.B5.87.E0.B4.B6.E0.B4.82

OK. This site is named as Bugzilla after the software that used to run this site. But it doesn't mean this particular request or every request come here are 'bugs'.

I see there is no 'not possible' case here, as you already did it for English Wikipedia and Tamil Wikipedia, setting system font as default case.

Please do as per community consensus.

(In reply to comment #20)
My statement in comment 7 was misleading, and I'd like to apologize for this.
The term "warning" was not meant to refer to anybody's ability to comment, but to disruptive behavior in Bugzilla when it comes to reopening a Bugzilla ticket again for several times. It's a bit like a revert/edit war on a wiki, and I guess you can understand that it does not feel productive.

@Language Engineering team:
Seeing the repeated concerns, it would be helpful if the Language Engineering team could elaborate what is *specifically* different about Malayalam's font support compared to Tamil, as the links in comment 21 are only generic, and also if the Language Engineering really insists on waiting for ULS to use EventLogging first, before reevaluating the font situation for Malayalam.

Change 72690 had a related patch set uploaded by Siebrand:
Disable default web font for language code "ml"

https://gerrit.wikimedia.org/r/72690

Gerrit 72690 disables a default web font for language code "ml".

Change 72690 merged by jenkins-bot:
Disable default web font for language code "ml"

https://gerrit.wikimedia.org/r/72690

(In reply to comment #31)

Change 72690 merged by jenkins-bot:
Disable default web font for language code "ml"

https://gerrit.wikimedia.org/r/72690

Thank you all who conceive Malayalam Community Consensus and acted accordingly !

This was reverted in gerrit 72701 as bug 51019 is a final solution. ULS will be disabled completely in all "ml" project within 30 minutes from now.